package _VisualDVM;
import Common.Current_;
public enum Current implements Current_ {
    Account, //нет формы таблиц.
    //--
    SapforEtalonVersion,
    SapforVersion,
    //--
    ComponentServerBackup,
    FileGraphElement,
    InlineGraphElement,
    InlineGraphElement2,
    IncludeGraphElement,
    Project,
    File,
    Root,
    Version,
    ProjectNode, //узел в дереве проекта. нужен для отображения добавленных файлов
    SelectedDirectory,
    SelectedFile,
    //текущий выбранный удаленный файл
    RemoteFile,
    RunStsRecord,
    //только для того, чтобы закодировать таблицу.
    //-
    Sapfor,
    //-
    Function,
    SelectedFunction,
    //-
    ProjectView;
    @Override
    public String getDescription() {
        switch (this) {
            case SapforEtalonVersion:
                return "Версия SAPFOR(Эталон)";
            case SapforVersion:
                return "Версия SAPFOR";
            case ComponentServerBackup:
                return "Версия компонента для восстановления с сервера";
            case SelectedFunction:
                return "Выбранный узел графа процедур";
            case Function:
                return "Функция";
            case ProjectNode:
                return "текущий узел дерева проектов"; //служебка
            case Sapfor:
                return "SAPFOR";
            case SelectedDirectory:
                return "Папка проекта";
            case SelectedFile:
                return "Файл проекта";
            case RemoteFile:
                return "Удалённый файл";
            case Project:
                return "Проект";
            case File:
                return "Файл";
            case Root:
                return "Корень дерева версий";
            case Version:
                return "Версия";
            default:
                return "";
        }
    }
}
